usb_endpoint_xfer_bulk
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

usb_endpoint_xfer_bulk — check if the endpoint has bulk transfer type

## Synopsis

`int usb_endpoint_xfer_bulk (` | const struct usb_endpoint_descriptor * | epd`)`;

## Arguments

`epd`

  endpoint to be checked

## Description

Returns true if the endpoint is of type bulk, otherwise it returns false.

Prev | Up | Next
usb_endpoint_dir_out | Home | usb_endpoint_xfer_control